--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: proto
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns the Port object for the IP protocol <tt>protonum</tt>, and passes it to a block if one is given
full_name: Nmap::Parser::Host#ip_proto
is_singleton: false
name: ip_proto
params: (protonum) {|proto| ...}
visibility: public
